Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:        X11 terminal emulator
Name:      	xterm
Version:   	237
Release:   	1
Provides:	%{name}
License: 	MIT
URL:	  	ftp://invisible-island.net/xterm/
Group:     	System/XFree86	
Source0: 	%{name}-%{version}.tgz
Source1:        XTerm
BuildRoot: 	%{_tmppath}/%{name}-buildroot

BuildRequires:  fontconfig-devel	
BuildRequires:  freetype-devel
BuildRequires:  glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:  zlib-devel
BuildRequires:	libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXt-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
The xterm program is a terminal emulator for the X Window System. It provides DEC VT102 and Tektronix 4014 compatible terminals for programs that can't use the window system directly.
 This version implements ISO/ANSI colors using the "new" color model (i.e., background color erase). It also implements most of the control sequences for VT220.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
#fix PROJECTROOT - might become obsolete
sed -i 's@/usr/X11R6@/usr@' main.h

./configure 	--prefix=%{_prefix} \
		--sysconfdir=%{_sysconfdir} \
    		--localstatedir=/var \
		--mandir=%{_mandir} \
		--enable-luit \
		--with-wide-chars

make

%install
make install DESTDIR=$RPM_BUILD_ROOT
make install-ti DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/app-defaults
install %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/X11/app-defaults/

%files
%defattr(-,root,root)
%_bindir
%_libdir/X11
# prevent conflict with already existing files in ncurses package:
%exclude %_libdir/terminfo
%_mandir
%_datadir/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 237-1
- Version update
* Mon Jul 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 236-1
- Version update
* Mon Apr 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 235-1
- Version update
* Tue Mar 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 234-1
- Version update
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 231-1
- Version update
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 230-1
- Version update
* Mon Sep 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 229-1
- Version update
* Sun Jun 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 226-1
- Version update
* Sun Mar 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 225-1
- Version update
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 223-2
- corrected license type entry to MIT
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 223-1
- version update
* Wed Oct 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 222-1
- version update
* Mon Oct 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 221-1
- version update
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 220-1
- version update
- built against X.org 7.1.1
* Thu Aug 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 218-1
- version update
* Mon Aug 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 217-1
- version update
* Sat Aug 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 216-1
- version update
* Sun Apr 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 211-1
- Initial Release
